- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
ConEdgeIt< GR > Class Template Reference
Basic Graph Utilities

## Detailed Description

### template<typename GR>
class lemon::ConEdgeIt< GR >

Iterator for iterating on parallel edges connecting the same nodes. It is a higher level interface for the findEdge() function. You can use it the following way:

* for (ConEdgeIt<Graph> it(g, u, v); it != INVALID; ++it) {
* ...
* }
*

See Also
  findEdge()

`#include <lemon/core.h>`

Inherits Edge.

## Public Member Functions
| ConEdgeIt (const GR &g, Node u, Node v)
| Constructor. More...
| ConEdgeIt (const GR &g, Edge e)
| Constructor. More...
ConEdgeIt & | operator++ ()
| Increment operator. More...

## Constructor & Destructor Documentation

ConEdgeIt | ( | const GR & | g,
|  | Node | u,
|  | Node | v
| ) |  |
| inline

Construct a new ConEdgeIt iterating on the edges that connects nodes `u` and `v`.

ConEdgeIt | ( | const GR & | g,
|  | Edge | e
| ) |  |
| inline

Construct a new ConEdgeIt that continues iterating from edge `e`.

## Member Function Documentation

ConEdgeIt& operator++ | ( |  | ) |
| inline

It increments the iterator and gives back the next edge.